opencv: /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/legacy/include/opencv2/legacy/blobtrack.hpp File Reference

Classes | Defines | Typedefs | Functions

# /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/legacy/include/opencv2/legacy/blobtrack.hpp File Reference

Go to the source code of this file.

## Classes
struct | CvBlob
class | CvBlobDetector
class | CvBlobSeq
struct | CvBlobTrack
class | CvBlobTrackAnalysis
class | CvBlobTrackAnalysisHeight
class | CvBlobTrackAnalysisOne
class | CvBlobTracker
class | CvBlobTrackerAuto
struct | CvBlobTrackerAutoParam1
class | CvBlobTrackerOne
struct | CvBlobTrackerParamLH
struct | CvBlobTrackerParamMS
class | CvBlobTrackFVGen
class | CvBlobTrackGen
class | CvBlobTrackPostProc
class | CvBlobTrackPostProcOne
class | CvBlobTrackPredictor
class | CvBlobTrackSeq
struct | CvDefParam
struct | CvDetectedBlob
struct | CvDrawShape
class | CvFGDetector
class | CvImageDrawer
class | CvObjectDetector
class | CvProb
struct | CvTracksTimePos
class | CvVSModule
## Defines
#define | CV_BLOB_CENTER(pB) cvPoint2D32f(((CvBlob*)(pB))->x,((CvBlob*)(pB))->y)
#define | CV_BLOB_ID(pB) (((CvBlob*)(pB))->ID)
#define | CV_BLOB_MINH 5
#define | CV_BLOB_MINW 5
#define | CV_BLOB_RECT(pB) cvRect(cvRound(((CvBlob*)(pB))->x-CV_BLOB_RX(pB)),cvRound(((CvBlob*)(pB))->y-CV_BLOB_RY(pB)),cvRound(CV_BLOB_WX(pB)),cvRound(CV_BLOB_WY(pB)))
#define | CV_BLOB_RX(pB) (0.5f*CV_BLOB_WX(pB))
#define | CV_BLOB_RY(pB) (0.5f*CV_BLOB_WY(pB))
#define | CV_BLOB_WX(pB) (((CvBlob*)(pB))->w)
#define | CV_BLOB_WY(pB) (((CvBlob*)(pB))->h)
#define | CV_BLOB_X(pB) (((CvBlob*)(pB))->x)
#define | CV_BLOB_Y(pB) (((CvBlob*)(pB))->y)
#define | CV_BT_HIST_TYPE_H 3
#define | CV_BT_HIST_TYPE_MG 1
#define | CV_BT_HIST_TYPE_MG2 2
#define | CV_BT_HIST_TYPE_S 0
#define | CV_NOISE_GAUSSIAN 1
#define | CV_NOISE_NONE 0
#define | CV_NOISE_SALT_AND_PEPPER 4
#define | CV_NOISE_SPECKLE 3
#define | CV_NOISE_UNIFORM 2
#define | PROFILE_DOG 1
#define | PROFILE_EPANECHNIKOV 0
## Typedefs
typedef void | CvTestSeq
## Functions
CvBlob | cvBlob (float x, float y, float w, float h)
CvBlobDetector * | cvCreateBlobDetectorCC ()
CvBlobDetector * | cvCreateBlobDetectorSimple ()
CvBlobTrackAnalysis * | cvCreateBlobTrackAnalysisList (CvBlobTrackAnalysisOne *(*create)())
CvBlobTrackerAuto * | cvCreateBlobTrackerAuto (int type, void *param)
CvBlobTrackerAuto * | cvCreateBlobTrackerAuto1 (CvBlobTrackerAutoParam1 *param=NULL)
CvBlobTracker * | cvCreateBlobTrackerCC ()
CvBlobTracker * | cvCreateBlobTrackerCCMSPF ()
CvBlobTracker * | cvCreateBlobTrackerLHR (CvBlobTrackerParamLH *=NULL)
CvBlobTracker * | cvCreateBlobTrackerLHRS (CvBlobTrackerParamLH *=NULL)
CvBlobTracker * | cvCreateBlobTrackerList (CvBlobTrackerOne *(*create)())
CvBlobTracker * | cvCreateBlobTrackerMS ()
CvBlobTracker * | cvCreateBlobTrackerMS1 (CvBlobTrackerParamMS *param)
CvBlobTracker * | cvCreateBlobTrackerMS1ByList ()
CvBlobTracker * | cvCreateBlobTrackerMS2 (CvBlobTrackerParamMS *param)
CvBlobTracker * | cvCreateBlobTrackerMSFG ()
CvBlobTracker * | cvCreateBlobTrackerMSFGS ()
CvBlobTracker * | cvCreateBlobTrackerMSPF ()
CvBlobTrackPostProc * | cvCreateBlobTrackPostProcList (CvBlobTrackPostProcOne *(*create)())
CvFGDetector * | cvCreateFGDetectorBase (int type, void *param)
CvBlobTrackAnalysis * | cvCreateModuleBlobTrackAnalysisHistP ()
CvBlobTrackAnalysis * | cvCreateModuleBlobTrackAnalysisHistPV ()
CvBlobTrackAnalysis * | cvCreateModuleBlobTrackAnalysisHistPVS ()
CvBlobTrackAnalysis * | cvCreateModuleBlobTrackAnalysisHistSS ()
CvBlobTrackAnalysis * | cvCreateModuleBlobTrackAnalysisIOR ()
CvBlobTrackAnalysis * | cvCreateModuleBlobTrackAnalysisTrackDist ()
CvBlobTrackGen * | cvCreateModuleBlobTrackGen1 ()
CvBlobTrackGen * | cvCreateModuleBlobTrackGenYML ()
CvBlobTrackPostProc * | cvCreateModuleBlobTrackPostProcKalman ()
CvBlobTrackPostProc * | cvCreateModuleBlobTrackPostProcTimeAverExp ()
CvBlobTrackPostProc * | cvCreateModuleBlobTrackPostProcTimeAverRect ()
CvBlobTrackPredictor * | cvCreateModuleBlobTrackPredictKalman ()
CvProb * | cvCreateProb (int type, int dim, CvSize size=cvSize(1, 1), void *=NULL)
CvProb * | cvCreateProbHist (int dim, CvSize size)
CvProb * | cvCreateProbMG (int dim, CvSize size, int sample_num)
CvProb * | cvCreateProbMG2 (int dim, CvSize size, int sample_num)
CvProb * | cvCreateProbS (int dim, CvSize size, int sample_num)
CvTestSeq * | cvCreateTestSeq (char *pConfigfile, char **videos, int numvideo, float Scale=1, int noise_type=CV_NOISE_NONE, double noise_ampl=0)
void | cvCreateTracks_AreaErr (CvBlobTrackSeq *TS1, CvBlobTrackSeq *TS2, int addW, int addH)
void | cvCreateTracks_One (CvBlobTrackSeq *TS)
void | cvCreateTracks_Same (CvBlobTrackSeq *TS1, CvBlobTrackSeq *TS2)
CV_INLINE CvDetectedBlob | cvDetectedBlob (float x, float y, float w, float h, int ID=0, float response=0.0F)
void | cvReadStructByName (CvFileStorage *fs, CvFileNode *node, const char *name, void *addr, const char *desc)
CV_INLINE CvRect | cvRectIntersection (const CvRect r1, const CvRect r2)
void | cvReleaseBlobDetector (CvBlobDetector **ppBD)
void | cvReleaseBlobTrackAnalysis (CvBlobTrackAnalysis **pBTPP)
void | cvReleaseBlobTracker (CvBlobTracker **ppT)
void | cvReleaseBlobTrackerAuto (CvBlobTrackerAuto **ppT)
void | cvReleaseBlobTrackerOne (CvBlobTrackerOne **ppT)
void | cvReleaseBlobTrackGen (CvBlobTrackGen **pBTGen)
void | cvReleaseBlobTrackPostProc (CvBlobTrackPostProc **pBTPP)
void | cvReleaseFGDetector (CvFGDetector **ppT)
void | cvReleaseProb (CvProb **ppProb)
void | cvReleaseTestSeq (CvTestSeq **ppTestSeq)
void | cvTestSeqAddIntensityVariation (CvTestSeq *pTestSeq, float DI_per_frame, float MinI, float MaxI)
void | cvTestSeqAddNoise (CvTestSeq *pTestSeq, int noise_type=CV_NOISE_NONE, double noise_ampl=0)
int | cvTestSeqFrameNum (CvTestSeq *pTestSeq)
IplImage * | cvTestSeqGetFGMask (CvTestSeq *pTestSeq)
IplImage * | cvTestSeqGetImage (CvTestSeq *pTestSeq)
CvSize | cvTestSeqGetImageSize (CvTestSeq *pTestSeq)
int | cvTestSeqGetObjectNum (CvTestSeq *pTestSeq)
int | cvTestSeqGetObjectPos (CvTestSeq *pTestSeq, int ObjIndex, CvPoint2D32f *pPos)
int | cvTestSeqGetObjectSize (CvTestSeq *pTestSeq, int ObjIndex, CvPoint2D32f *pSize)
IplImage * | cvTestSeqQueryFrame (CvTestSeq *pTestSeq)
void | cvTestSeqSetFrame (CvTestSeq *pTestSeq, int n)
void | cvWriteStruct (CvFileStorage *fs, const char *name, void *addr, const char *desc, int num=1)

## Define Documentation

#define CV_BLOB_CENTER | ( |  | pB ) | cvPoint2D32f(((CvBlob*)(pB))->x,((CvBlob*)(pB))->y)

#define CV_BLOB_ID | ( |  | pB ) | (((CvBlob*)(pB))->ID)

#define CV_BLOB_MINH 5

#define CV_BLOB_MINW 5

#define CV_BLOB_RECT | ( |  | pB ) | cvRect(cvRound(((CvBlob*)(pB))->x-CV_BLOB_RX(pB)),cvRound(((CvBlob*)(pB))->y-CV_BLOB_RY(pB)),cvRound(CV_BLOB_WX(pB)),cvRound(CV_BLOB_WY(pB)))

#define CV_BLOB_RX | ( |  | pB ) | (0.5f*CV_BLOB_WX(pB))

#define CV_BLOB_RY | ( |  | pB ) | (0.5f*CV_BLOB_WY(pB))

#define CV_BLOB_WX | ( |  | pB ) | (((CvBlob*)(pB))->w)

#define CV_BLOB_WY | ( |  | pB ) | (((CvBlob*)(pB))->h)

#define CV_BLOB_X | ( |  | pB ) | (((CvBlob*)(pB))->x)

#define CV_BLOB_Y | ( |  | pB ) | (((CvBlob*)(pB))->y)

#define CV_BT_HIST_TYPE_H 3

#define CV_BT_HIST_TYPE_MG 1

#define CV_BT_HIST_TYPE_MG2 2

#define CV_BT_HIST_TYPE_S 0

#define CV_NOISE_GAUSSIAN 1

#define CV_NOISE_NONE 0

#define CV_NOISE_SALT_AND_PEPPER 4

#define CV_NOISE_SPECKLE 3

#define CV_NOISE_UNIFORM 2

#define PROFILE_DOG 1

#define PROFILE_EPANECHNIKOV 0

## Typedef Documentation

typedef void CvTestSeq

## Function Documentation

CvBlob cvBlob | ( | float | x,
|  | float | y,
|  | float | w,
|  | float | h
| ) |  | `[inline]`

CvBlobDetector* cvCreateBlobDetectorCC | ( | ) |

CvBlobDetector* cvCreateBlobDetectorSimple | ( | ) |

CvBlobTrackAnalysis* cvCreateBlobTrackAnalysisList | ( | CvBlobTrackAnalysisOne *(*)() | create ) |

CvBlobTrackerAuto* cvCreateBlobTrackerAuto | ( | int | type,
|  | void * | param
| ) |  | `[inline]`

CvBlobTrackerAuto* cvCreateBlobTrackerAuto1 | ( | CvBlobTrackerAutoParam1 * | param = `NULL` ) |

CvBlobTracker* cvCreateBlobTrackerCC | ( | ) |

CvBlobTracker* cvCreateBlobTrackerCCMSPF | ( | ) |

CvBlobTracker* cvCreateBlobTrackerLHR | ( | CvBlobTrackerParamLH * | = `NULL` ) |

CvBlobTracker* cvCreateBlobTrackerLHRS | ( | CvBlobTrackerParamLH * | = `NULL` ) |

CvBlobTracker* cvCreateBlobTrackerList | ( | CvBlobTrackerOne *(*)() | create ) |

CvBlobTracker* cvCreateBlobTrackerMS | ( | ) |

CvBlobTracker* cvCreateBlobTrackerMS1 | ( | CvBlobTrackerParamMS * | param ) |

CvBlobTracker* cvCreateBlobTrackerMS1ByList | ( | ) |

CvBlobTracker* cvCreateBlobTrackerMS2 | ( | CvBlobTrackerParamMS * | param ) |

CvBlobTracker* cvCreateBlobTrackerMSFG | ( | ) |

CvBlobTracker* cvCreateBlobTrackerMSFGS | ( | ) |

CvBlobTracker* cvCreateBlobTrackerMSPF | ( | ) |

CvBlobTrackPostProc* cvCreateBlobTrackPostProcList | ( | CvBlobTrackPostProcOne *(*)() | create ) |

CvFGDetector* cvCreateFGDetectorBase | ( | int | type,
|  | void * | param
| ) |  |

CvBlobTrackAnalysis* cvCreateModuleBlobTrackAnalysisHistP | ( | ) |

CvBlobTrackAnalysis* cvCreateModuleBlobTrackAnalysisHistPV | ( | ) |

CvBlobTrackAnalysis* cvCreateModuleBlobTrackAnalysisHistPVS | ( | ) |

CvBlobTrackAnalysis* cvCreateModuleBlobTrackAnalysisHistSS | ( | ) |

CvBlobTrackAnalysis* cvCreateModuleBlobTrackAnalysisIOR | ( | ) |

CvBlobTrackAnalysis* cvCreateModuleBlobTrackAnalysisTrackDist | ( | ) |

CvBlobTrackGen* cvCreateModuleBlobTrackGen1 | ( | ) |

CvBlobTrackGen* cvCreateModuleBlobTrackGenYML | ( | ) |

CvBlobTrackPostProc* cvCreateModuleBlobTrackPostProcKalman | ( | ) |

CvBlobTrackPostProc* cvCreateModuleBlobTrackPostProcTimeAverExp | ( | ) |

CvBlobTrackPostProc* cvCreateModuleBlobTrackPostProcTimeAverRect | ( | ) |

CvBlobTrackPredictor* cvCreateModuleBlobTrackPredictKalman | ( | ) |

CvProb* cvCreateProb | ( | int | type,
|  | int | dim,
|  | CvSize | size = `cvSize(1,1)`,
|  | void * | = `NULL`
| ) |  | `[inline]`

CvProb* cvCreateProbHist | ( | int | dim,
|  | CvSize | size
| ) |  |

CvProb* cvCreateProbMG | ( | int | dim,
|  | CvSize | size,
|  | int | sample_num
| ) |  |

CvProb* cvCreateProbMG2 | ( | int | dim,
|  | CvSize | size,
|  | int | sample_num
| ) |  |

CvProb* cvCreateProbS | ( | int | dim,
|  | CvSize | size,
|  | int | sample_num
| ) |  |

CvTestSeq* cvCreateTestSeq | ( | char * | pConfigfile,
|  | char ** | videos,
|  | int | numvideo,
|  | float | Scale = `1`,
|  | int | noise_type = `CV_NOISE_NONE`,
|  | double | noise_ampl = `0`
| ) |  |

void cvCreateTracks_AreaErr | ( | CvBlobTrackSeq * | TS1,
|  | CvBlobTrackSeq * | TS2,
|  | int | addW,
|  | int | addH
| ) |  |

void cvCreateTracks_One | ( | CvBlobTrackSeq * | TS ) |

void cvCreateTracks_Same | ( | CvBlobTrackSeq * | TS1,
|  | CvBlobTrackSeq * | TS2
| ) |  |

CV_INLINE CvDetectedBlob cvDetectedBlob | ( | float | x,
|  | float | y,
|  | float | w,
|  | float | h,
|  | int | ID = `0`,
|  | float | response = `0.0F`
| ) |  |

void cvReadStructByName | ( | CvFileStorage * | fs,
|  | CvFileNode * | node,
|  | const char * | name,
|  | void * | addr,
|  | const char * | desc
| ) |  |

CV_INLINE CvRect cvRectIntersection | ( | const CvRect | r1,
|  | const CvRect | r2
| ) |  |

void cvReleaseBlobDetector | ( | CvBlobDetector ** | ppBD ) |

void cvReleaseBlobTrackAnalysis | ( | CvBlobTrackAnalysis ** | pBTPP ) | `[inline]`

void cvReleaseBlobTracker | ( | CvBlobTracker ** | ppT ) |

void cvReleaseBlobTrackerAuto | ( | CvBlobTrackerAuto ** | ppT ) | `[inline]`

void cvReleaseBlobTrackerOne | ( | CvBlobTrackerOne ** | ppT ) | `[inline]`

void cvReleaseBlobTrackGen | ( | CvBlobTrackGen ** | pBTGen ) | `[inline]`

void cvReleaseBlobTrackPostProc | ( | CvBlobTrackPostProc ** | pBTPP ) | `[inline]`

void cvReleaseFGDetector | ( | CvFGDetector ** | ppT ) |

void cvReleaseProb | ( | CvProb ** | ppProb ) | `[inline]`

void cvReleaseTestSeq | ( | CvTestSeq ** | ppTestSeq ) |

void cvTestSeqAddIntensityVariation | ( | CvTestSeq * | pTestSeq,
|  | float | DI_per_frame,
|  | float | MinI,
|  | float | MaxI
| ) |  |

void cvTestSeqAddNoise | ( | CvTestSeq * | pTestSeq,
|  | int | noise_type = `CV_NOISE_NONE`,
|  | double | noise_ampl = `0`
| ) |  |

int cvTestSeqFrameNum | ( | CvTestSeq * | pTestSeq ) |

IplImage* cvTestSeqGetFGMask | ( | CvTestSeq * | pTestSeq ) |

IplImage* cvTestSeqGetImage | ( | CvTestSeq * | pTestSeq ) |

CvSize cvTestSeqGetImageSize | ( | CvTestSeq * | pTestSeq ) |

int cvTestSeqGetObjectNum | ( | CvTestSeq * | pTestSeq ) |

int cvTestSeqGetObjectPos | ( | CvTestSeq * | pTestSeq,
|  | int | ObjIndex,
|  | CvPoint2D32f * | pPos
| ) |  |

int cvTestSeqGetObjectSize | ( | CvTestSeq * | pTestSeq,
|  | int | ObjIndex,
|  | CvPoint2D32f * | pSize
| ) |  |

IplImage* cvTestSeqQueryFrame | ( | CvTestSeq * | pTestSeq ) |

void cvTestSeqSetFrame | ( | CvTestSeq * | pTestSeq,
|  | int | n
| ) |  |

void cvWriteStruct | ( | CvFileStorage * | fs,
|  | const char * | name,
|  | void * | addr,
|  | const char * | desc,
|  | int | num = `1`
| ) |  |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines